Skip to main content

Change the description of a project backup

PATCH/v2/project-backups/{projectBackupId}/description
API version
v2
Request method
PATCH
Operation ID
deprecated-backup-update-project-backup-description

Request​

  • projectBackupIdstring
    required

    ID of the ProjectBackup to change the description of.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"description":"I'm a ProjectBackup"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/project-backups/string/description
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.backup.deprecatedBackupUpdateProjectBackupDescription({
"projectBackupId": "string",
"data": {
"description": "I'm a ProjectBackup"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Backup\DeprecatedBackupUpdateProjectBackupDescription\DeprecatedBackupUpdateProjectBackupDescriptionRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Backup\DeprecatedBackupUpdateProjectBackupDescription\DeprecatedBackupUpdateProjectBackupDescriptionRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedBackupUpdateProjectBackupDescriptionRequestBody to learn how to construct a valid instance
$body = new DeprecatedBackupUpdateProjectBackupDescriptionRequestBody(/* TODO: ... */);

$request = (new DeprecatedBackupUpdateProjectBackupDescriptionRequest(
projectBackupId: "string",
body: $body
));
$response = $client->backup()->deprecatedBackupUpdateProjectBackupDescription($request);

var_dump($response->getBody();

On this page